#
# spec file for package perl-Crypt-DES_EDE3
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Crypt-DES_EDE3
%define cpan_name Crypt-DES_EDE3
Summary:        Triple-DES EDE encryption/decryption
Version:        0.01
Release:        10.1
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Crypt::DES)
Requires:       perl(Crypt::DES)

%description

 %{cpan_name} module for perl
Crypt::DES_EDE3 implements DES-EDE3 encryption. This is triple-DES encryption
where an encrypt operation is encrypt-decrypt-encrypt, and decrypt is decrypt-
encrypt-decrypt. This implementation uses Crypt::DES to do its dirty DES work,
and simply provides a wrapper around that module: setting up the individual DES
ciphers, initializing the keys, and performing the encryption/decryption steps.

Authors:
--------
    Benjamin Trott <ben@rhumba.pair.com>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-, root, root)
%doc README Changes

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Fri Jun 19 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- some spec mods
  o added header
  o cleanup
